Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class ReplaceableAttribute

    java.lang.Object
      com.amazonaws.services.simpledb.model.ReplaceableAttribute

    public class ReplaceableAttribute

extends Object

Constructor Summary
`ReplaceableAttribute()` Default constructor for a new ReplaceableAttribute object.
`ReplaceableAttribute(String name, String value, Boolean replace)` Constructs a new ReplaceableAttribute object.

Method Summary
`String` | `getName()` The name of the replaceable attribute.
`Boolean` | `getReplace()` A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair.
`String` | `getValue()` The value of the replaceable attribute.
`Boolean` | `isReplace()` A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair.
`void` | `setName(String name)` The name of the replaceable attribute.
`void` | `setReplace(Boolean replace)` A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair.
`void` | `setValue(String value)` The value of the replaceable attribute.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReplaceableAttribute` | `withName(String name)` The name of the replaceable attribute.
`ReplaceableAttribute` | `withReplace(Boolean replace)` A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair.
`ReplaceableAttribute` | `withValue(String value)` The value of the replaceable attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplaceableAttribute

    public ReplaceableAttribute()

  Default constructor for a new ReplaceableAttribute object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### ReplaceableAttribute

    public ReplaceableAttribute(String name,
                                String value,
                                Boolean replace)

  Constructs a new ReplaceableAttribute object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the replaceable attribute.
    `value` - The value of the replaceable attribute.
    `replace` - A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

Method Detail

### getName

    public String getName()

  The name of the replaceable attribute.

  Returns:
    The name of the replaceable attribute.

### setName

    public void setName(String name)

  The name of the replaceable attribute.

  Parameters:
    `name` - The name of the replaceable attribute.

### withName

    public ReplaceableAttribute withName(String name)

  The name of the replaceable attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the replaceable attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValue

    public String getValue()

  The value of the replaceable attribute.

  Returns:
    The value of the replaceable attribute.

### setValue

    public void setValue(String value)

  The value of the replaceable attribute.

  Parameters:
    `value` - The value of the replaceable attribute.

### withValue

    public ReplaceableAttribute withValue(String value)

  The value of the replaceable attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `value` - The value of the replaceable attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isReplace

    public Boolean isReplace()

  A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

  Returns:
    A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

### setReplace

    public void setReplace(Boolean replace)

  A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

  Parameters:
    `replace` - A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

### withReplace

    public ReplaceableAttribute withReplace(Boolean replace)

  A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `replace` - A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getReplace

    public Boolean getReplace()

  A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

  Returns:
    A flag specifying whether or not to replace the attribute/value pair or to add a new attribute/value pair. The default setting is `false`.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.